C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Connections.DirectoryProvisioning.Synchronizations.CreateAsync(
"id"
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connections().directoryProvisioning().synchronizations().create("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connections->directoryProvisioning->synchronizations->create(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connections.directory_provisioning.synchronizations.create(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connections.directory_provisioning.synchronizations.create(id: "id")curl --request POST \
--url https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connection_id": "<string>",
"synchronization_id": "<string>",
"status": "<string>"
}Request an on-demand synchronization of the directory
Request an on-demand synchronization of the directory.
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronizations
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Connections.DirectoryProvisioning.Synchronizations.CreateAsync(
"id"
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connections().directoryProvisioning().synchronizations().create("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connections->directoryProvisioning->synchronizations->create(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connections.directory_provisioning.synchronizations.create(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connections.directory_provisioning.synchronizations.create(id: "id")curl --request POST \
--url https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronizations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connection_id": "<string>",
"synchronization_id": "<string>",
"status": "<string>"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
The id of the connection to trigger synchronization for
Get a connection's default directory provisioning attribute mapping
前へ
Get synchronized groups for a directory provisioning configuration
次へ
⌘I